<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;


$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];
$parasrch = $_REQUEST["parasrch"];
$file = "staff.php";
$maindb = "accmast";

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `add1` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `city` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `state` = '$searchTerm'";
        }

    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`invno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `city` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `state` LIKE '%$searchTerm%'";
        } 
    }
}

if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `city`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `state`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";  
} else {
    $ordcond = "ASC";
}



$query = "SELECT  * FROM  `$maindb`  WHERE accode != '' AND `grpcode`='040' $cond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = ['success' => true,
        'name' => $r['name'],
        'add1' => $r['add1'],
        'add2' => $r['add2'],
        'add3' => $r['add3'],
        'city' => $r['city'],
        'state' => $r['state'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
